package Monitoring::GLPlugin::SNMP::MibsAndOids::LEXMARKTCMIB;

$Monitoring::GLPlugin::SNMP::MibsAndOids::origin->{'LEXMARK-TC-MIB'} = {
  url => '',
  name => 'LEXMARK-TC-MIB',
};

#$Monitoring::GLPlugin::SNMP::MibsAndOids::mib_ids->{'LEXMARK-TC-MIB'} =

$Monitoring::GLPlugin::SNMP::MibsAndOids::mibs_and_oids->{'LEXMARK-TC-MIB'} = {
  lexmarkTCMIB => '1.3.6.1.4.1.641.4.2',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::definitions->{'LEXMARK-TC-MIB'} = {
  UnitsTC => {
    '1' => 'unknown',
    '2' => 'other',
    '3' => 'items',
    '4' => 'sides',
    '5' => 'sheets',
    '16' => 'millimeters',
    '17' => 'centimeters',
    '18' => 'meters',
    '19' => 'inches',
    '20' => 'feet',
    '21' => 'grams',
    '22' => 'ounces',
    '32' => 'nanoseconds',
    '33' => 'microseconds',
    '34' => 'milliseconds',
    '35' => 'seconds',
    '36' => 'minutes',
    '37' => 'hours',
    '38' => 'days',
    '39' => 'weeks',
    '40' => 'months',
    '41' => 'years',
  },
  AdminStatusTC => {
    '1' => 'unknown',
    '3' => 'other',
    '4' => 'up',
    '5' => 'disabled',
  },
  PaperTypeTC => {
    '1' => 'unknown',
    '2' => 'other',
    '3' => 'plain',
    '4' => 'cardstock',
    '5' => 'transparancy',
    '6' => 'recycled',
    '7' => 'labels',
    '8' => 'vinylLabels',
    '9' => 'bond',
    '10' => 'letterhead',
    '11' => 'preprinted',
    '12' => 'colored',
    '13' => 'light',
    '14' => 'heavy',
    '15' => 'roughOrCotton',
    '16' => 'envelope',
    '17' => 'premimuPlain',
    '18' => 'colorLokCertifiedPlain',
    '19' => 'lexmarkPerfectFinishPhoto',
    '20' => 'lexmarkPhoto',
    '21' => 'glossyPhoto',
    '22' => 'mattePhoto',
    '23' => 'inkjetMatteBrochure',
    '24' => 'inkjetGlossyBrochure',
    '25' => 'ironOnTransfer',
    '32' => 'customtype1',
    '33' => 'customtype2',
    '34' => 'customtype3',
    '35' => 'customtype4',
    '36' => 'customtype5',
    '37' => 'customtype6',
    '38' => 'coatedPaper',
    '39' => 'glossy',
    '40' => 'photPaper',
    '41' => 'greetingCard',
    '42' => 'heavyCard',
    '43' => 'roughEnvelop',
    '44' => 'heavyCottonPaper',
    '45' => 'veryHeavyPaper',
    '46' => 'heavyGloss',
    '47' => 'rfidLabels',
    '48' => 'businessCard',
  },
  PaperSizeTC => {
    '1' => 'unknown',
    '2' => 'other',
    '3' => 'universal',
    '4' => 'custom',
    '8' => 'letter',
    '9' => 'legal',
    '10' => 'executive',
    '11' => 'folio',
    '12' => 'statement',
    '13' => 'oficio',
    '14' => 'tabloid',
    '15' => 'businessCard',
    '16' => 'idCard',
    '17' => 'card3x5',
    '18' => 'card4x6',
    '19' => 'bookOriginal',
    '20' => 'hagaki',
    '21' => 'card3onehalfx5',
    '22' => 'card4x8',
    '23' => 'card5x7',
    '24' => 'card10x15',
    '25' => 'card10x20',
    '26' => 'card13x18',
    '27' => 'paper12x18',
    '28' => 'sra3',
    '32' => 'envelope7threequarters',
    '33' => 'envelope9',
    '34' => 'envelope10',
    '35' => 'envelopeDL',
    '36' => 'envelopeOther',
    '64' => 'isoA0',
    '65' => 'isoA1',
    '66' => 'isoA2',
    '67' => 'isoA3',
    '68' => 'isoA4',
    '69' => 'isoA5',
    '70' => 'isoA6',
    '72' => 'isoB0',
    '73' => 'isoB1',
    '74' => 'isoB2',
    '75' => 'isoB3',
    '76' => 'isoB4',
    '77' => 'isoB5',
    '78' => 'isoB6',
    '80' => 'isoC0',
    '81' => 'isoC1',
    '82' => 'isoC2',
    '83' => 'isoC3',
    '84' => 'isoC4',
    '85' => 'isoC5',
    '86' => 'isoC6',
    '96' => 'isoEnvelopeA0',
    '97' => 'isoEnvelopeA1',
    '98' => 'isoEnvelopeA2',
    '99' => 'isoEnvelopeA3',
    '100' => 'isoEnvelopeA4',
    '101' => 'isoEnvelopeA5',
    '102' => 'isoEnvelopeA6',
    '104' => 'isoEnvelopeB0',
    '105' => 'isoEnvelopeB1',
    '106' => 'isoEnvelopeB2',
    '107' => 'isoEnvelopeB3',
    '108' => 'isoEnvelopeB4',
    '109' => 'isoEnvelopeB5',
    '110' => 'isoEnvelopeB6',
    '112' => 'isoEnvelopeC0',
    '113' => 'isoEnvelopeC1',
    '114' => 'isoEnvelopeC2',
    '115' => 'isoEnvelopeC3',
    '116' => 'isoEnvelopeC4',
    '117' => 'isoEnvelopeC5',
    '118' => 'isoEnvelopeC6',
    '136' => 'jisB0',
    '137' => 'jisB1',
    '138' => 'jisB2',
    '139' => 'jisB3',
    '140' => 'jisB4',
    '141' => 'jisB5',
    '142' => 'jisB6',
  },
  KeyValueTC => {
  },
  StatusTC => {
    '1' => 'unknown',
    '2' => 'other',
    '3' => 'ok',
    '4' => 'offline',
    '5' => 'warning',
    '6' => 'broken',
    '17' => 'disabledUnknown',
    '18' => 'disabledOther',
    '19' => 'disabledOk',
    '20' => 'disabledOffline',
    '21' => 'disabledWarning',
    '22' => 'disabledBroken',
    '33' => 'unlicensedUnknown',
    '34' => 'unlicensedOther',
    '35' => 'unlicensedOk',
    '36' => 'unlicensedOffline',
    '37' => 'unlicensedWarning',
    '38' => 'unlicensedBroken',
    '97' => 'licensedUnknown',
    '98' => 'licensedOther',
    '99' => 'licensedOk',
    '100' => 'licensedOffline',
    '101' => 'licensedWarning',
    '102' => 'licensedBroken',
  },
};
