package Monitoring::GLPlugin::SNMP::MibsAndOids::QTSMIB;

$Monitoring::GLPlugin::SNMP::MibsAndOids::origin->{'QTS-MIB'} = {
  url => '',
  name => 'QTS-MIB',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::mib_ids->{'QTS-MIB'} =
  '1.3.6.1.4.1.55062';
# es gibt unterschiedliche MIBS
# Man kann sie sich vom Storage runterladen (im Internet schaut es da eher spaerlich aus) und zwar unter dem Namen NAS.mib
# Innendrin heisst die dann QTS-MIB. Alles recht schlau, denn es fliegt auch
# eine NAS-MIB enterprises 24681 rum, die auch in den Geraeten implementiert ist,
# Die vom Storage runtergeladenen (/usr/local/etc/snmp/mib/NAS.mib) QTS-MIB
# mit qnap := enterprises 55062 haben noch die ersten paar Zeilen gemeinsam, dann aber
# gibt es 
# qutshero OBJECT IDENTIFIER ::= { qnap 2 }
# oder
# qts OBJECT IDENTIFIER ::= { qnap 1 }
# Ansonsten unterscheiden sich die Zweige 55062.1 und 55062.2 so gut wie nicht,
# sharedFolderTable (hero) oder volumeTable sind auf den ersten Blick anders.
# Das macht QNAP zum Kandidaten fuer den Arschtritt des Monats.
# Und fuer die ausgiebige Verwendung von
# storagepoolTable OBJECT-TYPE
# storagepoolTableEntry OBJECT-TYPE
# welche fuer mich haufenweise Tipperei bedeutet, sollte es Watschen hageln.

$Monitoring::GLPlugin::SNMP::MibsAndOids::mib_ids->{'QTS-QTS-MIB'} =
  '1.3.6.1.4.1.55062.1';

$Monitoring::GLPlugin::SNMP::MibsAndOids::mibs_and_oids->{'QTS-QTS-MIB'} = {
  'qnap' => '1.3.6.1.4.1.55062',
  'qts' => '1.3.6.1.4.1.55062.1',
  'storage' => '1.3.6.1.4.1.55062.1.10',
  'diskCount' => '1.3.6.1.4.1.55062.1.10.1',
  'diskTable' => '1.3.6.1.4.1.55062.1.10.2',
  'diskTableEntry' => '1.3.6.1.4.1.55062.1.10.2.1',
  'diskIndex' => '1.3.6.1.4.1.55062.1.10.2.1.1',
  'diskID' => '1.3.6.1.4.1.55062.1.10.2.1.2',
  'diskManufacturer' => '1.3.6.1.4.1.55062.1.10.2.1.3',
  'diskModel' => '1.3.6.1.4.1.55062.1.10.2.1.4',
  'diskSerialNumber' => '1.3.6.1.4.1.55062.1.10.2.1.5',
  'diskType' => '1.3.6.1.4.1.55062.1.10.2.1.6',
  'diskStatus' => '1.3.6.1.4.1.55062.1.10.2.1.7',
  'diskTemperature' => '1.3.6.1.4.1.55062.1.10.2.1.8',
  'diskCapacity' => '1.3.6.1.4.1.55062.1.10.2.1.9',
  'diskSMARTInfoTable' => '1.3.6.1.4.1.55062.1.10.3',
  'diskSMARTInfoTableEntry' => '1.3.6.1.4.1.55062.1.10.3.1',
  'diskSMARTInfoIndex' => '1.3.6.1.4.1.55062.1.10.3.1.1',
  'diskSMARTInfoDeviceName' => '1.3.6.1.4.1.55062.1.10.3.1.2',
  'diskSMARTInfoAttributeName' => '1.3.6.1.4.1.55062.1.10.3.1.3',
  'diskSMARTInfoAttributeID' => '1.3.6.1.4.1.55062.1.10.3.1.4',
  'diskSMARTInfoAttributeCurrent' => '1.3.6.1.4.1.55062.1.10.3.1.5',
  'diskSMARTInfoAttributeWorst' => '1.3.6.1.4.1.55062.1.10.3.1.6',
  'diskSMARTInfoAttributeThreshold' => '1.3.6.1.4.1.55062.1.10.3.1.7',
  'diskSMARTInfoAttributeRAW' => '1.3.6.1.4.1.55062.1.10.3.1.8',
  'diskSMARTInfoAttributeStatus' => '1.3.6.1.4.1.55062.1.10.3.1.9',
  'raidCount' => '1.3.6.1.4.1.55062.1.10.4',
  'raidTable' => '1.3.6.1.4.1.55062.1.10.5',
  'raidTableEntry' => '1.3.6.1.4.1.55062.1.10.5.1',
  'raidIndex' => '1.3.6.1.4.1.55062.1.10.5.1.1',
  'raidID' => '1.3.6.1.4.1.55062.1.10.5.1.2',
  'raidName' => '1.3.6.1.4.1.55062.1.10.5.1.3',
  'raidStatus' => '1.3.6.1.4.1.55062.1.10.5.1.4',
  'raidCapacity' => '1.3.6.1.4.1.55062.1.10.5.1.5',
  'raidBitmap' => '1.3.6.1.4.1.55062.1.10.5.1.6',
  'raidLevel' => '1.3.6.1.4.1.55062.1.10.5.1.7',
  'storagepoolCount' => '1.3.6.1.4.1.55062.1.10.6',
  'storagepoolTable' => '1.3.6.1.4.1.55062.1.10.7',
  'storagepoolTableEntry' => '1.3.6.1.4.1.55062.1.10.7.1',
  'storagepoolIndex' => '1.3.6.1.4.1.55062.1.10.7.1.1',
  'storagepoolID' => '1.3.6.1.4.1.55062.1.10.7.1.2',
  'storagepoolCapacity' => '1.3.6.1.4.1.55062.1.10.7.1.3',
  'storagepoolFreeSize' => '1.3.6.1.4.1.55062.1.10.7.1.4',
  'storagepoolStatus' => '1.3.6.1.4.1.55062.1.10.7.1.5',
  'storagepoolStatusDefinition' => 'QTS-MIB::storagepoolStatus',
  'volumeCount' => '1.3.6.1.4.1.55062.1.10.8',
  'volumeTable' => '1.3.6.1.4.1.55062.1.10.9',
  'volumeTableEntry' => '1.3.6.1.4.1.55062.1.10.9.1',
  'volumeIndex' => '1.3.6.1.4.1.55062.1.10.9.1.1',
  'volumeID' => '1.3.6.1.4.1.55062.1.10.9.1.2',
  'volumeCapacity' => '1.3.6.1.4.1.55062.1.10.9.1.3',
  'volumeFreeSize' => '1.3.6.1.4.1.55062.1.10.9.1.4',
  'volumeStatus' => '1.3.6.1.4.1.55062.1.10.9.1.5',
  'volumeSSDCache' => '1.3.6.1.4.1.55062.1.10.9.1.6',
  'volumeThin' => '1.3.6.1.4.1.55062.1.10.9.1.7',
  'volumeName' => '1.3.6.1.4.1.55062.1.10.9.1.8',
  'cacheAccelerationServiceEnabled' => '1.3.6.1.4.1.55062.1.10.10',
  'cacheAccelerationServiceEnabledDefinition' => 'QTS-MIB::cacheAccelerationServiceEnabled',
  'cacheAvailablePercent' => '1.3.6.1.4.1.55062.1.10.11',
  'cacheReadHitRate' => '1.3.6.1.4.1.55062.1.10.12',
  'cacheWriteHitRate' => '1.3.6.1.4.1.55062.1.10.13',
  'cacheStatus' => '1.3.6.1.4.1.55062.1.10.14',
  'cacheType' => '1.3.6.1.4.1.55062.1.10.15',
  'cacheTypeDefinition' => 'QTS-MIB::cacheType',
  'cacheRAIDType' => '1.3.6.1.4.1.55062.1.10.16',
  'cacheMode' => '1.3.6.1.4.1.55062.1.10.17',
  'iSCSIServiceEnabled' => '1.3.6.1.4.1.55062.1.10.18',
  'iSCSIServiceEnabledDefinition' => 'QTS-MIB::iSCSIServiceEnabled',
  'lunCount' => '1.3.6.1.4.1.55062.1.10.19',
  'lunTable' => '1.3.6.1.4.1.55062.1.10.20',
  'lunTableEntry' => '1.3.6.1.4.1.55062.1.10.20.1',
  'lunIndex' => '1.3.6.1.4.1.55062.1.10.20.1.1',
  'lunID' => '1.3.6.1.4.1.55062.1.10.20.1.2',
  'lunCapacity' => '1.3.6.1.4.1.55062.1.10.20.1.3',
  'lunUsedPercent' => '1.3.6.1.4.1.55062.1.10.20.1.4',
  'lunStatus' => '1.3.6.1.4.1.55062.1.10.20.1.5',
  'lunName' => '1.3.6.1.4.1.55062.1.10.20.1.6',
  'lunBackupStatus' => '1.3.6.1.4.1.55062.1.10.20.1.7',
  'lunBackupStatusDefinition' => 'QTS-MIB::lunBackupStatus',
  'lunIsMap' => '1.3.6.1.4.1.55062.1.10.20.1.8',
  'lunIsMapDefinition' => 'QTS-MIB::lunIsMap',
  'targetCount' => '1.3.6.1.4.1.55062.1.10.21',
  'targeTable' => '1.3.6.1.4.1.55062.1.10.22',
  'targeTableEntry' => '1.3.6.1.4.1.55062.1.10.22.1',
  'targetIndex' => '1.3.6.1.4.1.55062.1.10.22.1.1',
  'targetID' => '1.3.6.1.4.1.55062.1.10.22.1.2',
  'targetName' => '1.3.6.1.4.1.55062.1.10.22.1.3',
  'targetIQN' => '1.3.6.1.4.1.55062.1.10.22.1.4',
  'targetServerIP' => '1.3.6.1.4.1.55062.1.10.22.1.5',
  'targetStatus' => '1.3.6.1.4.1.55062.1.10.22.1.6',
  'targetStatusDefinition' => 'QTS-MIB::targetStatus',
  'iSCSIServicePort' => '1.3.6.1.4.1.55062.1.10.23',
  'iSNSService' => '1.3.6.1.4.1.55062.1.10.24',
  'iSNSServiceDefinition' => 'QTS-MIB::iSNSService',
  'iSNSIP' => '1.3.6.1.4.1.55062.1.10.25',
  'jBODInfo' => '1.3.6.1.4.1.55062.1.10.26',
  'jBODBitmap' => '1.3.6.1.4.1.55062.1.10.26.1',
  'jBODInfos' => '1.3.6.1.4.1.55062.1.10.26.2',
  'jBODInfosEntry' => '1.3.6.1.4.1.55062.1.10.26.2.1',
  'jBODid' => '1.3.6.1.4.1.55062.1.10.26.2.1.1',
  'jBODHdNumber' => '1.3.6.1.4.1.55062.1.10.26.2.1.2',
  'jBODHdTable1' => '1.3.6.1.4.1.55062.1.10.26.3',
  'jBODHdEntry1' => '1.3.6.1.4.1.55062.1.10.26.3.1',
  'jBODHdIndex1' => '1.3.6.1.4.1.55062.1.10.26.3.1.1',
  'jBODHdDescr1' => '1.3.6.1.4.1.55062.1.10.26.3.1.2',
  'jBODHdTemperature1' => '1.3.6.1.4.1.55062.1.10.26.3.1.3',
  'jBODHdStatus1' => '1.3.6.1.4.1.55062.1.10.26.3.1.4',
  'jBODHdStatus1Definition' => 'QTS-MIB::jBODHdStatus1',
  'jBODHdModel1' => '1.3.6.1.4.1.55062.1.10.26.3.1.5',
  'jBODHdCapacity1' => '1.3.6.1.4.1.55062.1.10.26.3.1.6',
  'jBODHdSmartInfo1' => '1.3.6.1.4.1.55062.1.10.26.3.1.7',
  'jBODHdTable2' => '1.3.6.1.4.1.55062.1.10.26.4',
  'jBODHdEntry2' => '1.3.6.1.4.1.55062.1.10.26.4.1',
  'jBODHdIndex2' => '1.3.6.1.4.1.55062.1.10.26.4.1.1',
  'jBODHdDescr2' => '1.3.6.1.4.1.55062.1.10.26.4.1.2',
  'jBODHdTemperature2' => '1.3.6.1.4.1.55062.1.10.26.4.1.3',
  'jBODHdStatus2' => '1.3.6.1.4.1.55062.1.10.26.4.1.4',
  'jBODHdStatus2Definition' => 'QTS-MIB::jBODHdStatus2',
  'jBODHdModel2' => '1.3.6.1.4.1.55062.1.10.26.4.1.5',
  'jBODHdCapacity2' => '1.3.6.1.4.1.55062.1.10.26.4.1.6',
  'jBODHdSmartInfo2' => '1.3.6.1.4.1.55062.1.10.26.4.1.7',
  'jBODHdTable3' => '1.3.6.1.4.1.55062.1.10.26.5',
  'jBODHdEntry3' => '1.3.6.1.4.1.55062.1.10.26.5.1',
  'jBODHdIndex3' => '1.3.6.1.4.1.55062.1.10.26.5.1.1',
  'jBODHdDescr3' => '1.3.6.1.4.1.55062.1.10.26.5.1.2',
  'jBODHdTemperature3' => '1.3.6.1.4.1.55062.1.10.26.5.1.3',
  'jBODHdStatus3' => '1.3.6.1.4.1.55062.1.10.26.5.1.4',
  'jBODHdStatus3Definition' => 'QTS-MIB::jBODHdStatus3',
  'jBODHdModel3' => '1.3.6.1.4.1.55062.1.10.26.5.1.5',
  'jBODHdCapacity3' => '1.3.6.1.4.1.55062.1.10.26.5.1.6',
  'jBODHdSmartInfo3' => '1.3.6.1.4.1.55062.1.10.26.5.1.7',
  'jBODHdTable4' => '1.3.6.1.4.1.55062.1.10.26.6',
  'jBODHdEntry4' => '1.3.6.1.4.1.55062.1.10.26.6.1',
  'jBODHdIndex4' => '1.3.6.1.4.1.55062.1.10.26.6.1.1',
  'jBODHdDescr4' => '1.3.6.1.4.1.55062.1.10.26.6.1.2',
  'jBODHdTemperature4' => '1.3.6.1.4.1.55062.1.10.26.6.1.3',
  'jBODHdStatus4' => '1.3.6.1.4.1.55062.1.10.26.6.1.4',
  'jBODHdStatus4Definition' => 'QTS-MIB::jBODHdStatus4',
  'jBODHdModel4' => '1.3.6.1.4.1.55062.1.10.26.6.1.5',
  'jBODHdCapacity4' => '1.3.6.1.4.1.55062.1.10.26.6.1.6',
  'jBODHdSmartInfo4' => '1.3.6.1.4.1.55062.1.10.26.6.1.7',
  'jBODHdTable5' => '1.3.6.1.4.1.55062.1.10.26.7',
  'jBODHdEntry5' => '1.3.6.1.4.1.55062.1.10.26.7.1',
  'jBODHdIndex5' => '1.3.6.1.4.1.55062.1.10.26.7.1.1',
  'jBODHdDescr5' => '1.3.6.1.4.1.55062.1.10.26.7.1.2',
  'jBODHdTemperature5' => '1.3.6.1.4.1.55062.1.10.26.7.1.3',
  'jBODHdStatus5' => '1.3.6.1.4.1.55062.1.10.26.7.1.4',
  'jBODHdStatus5Definition' => 'QTS-MIB::jBODHdStatus5',
  'jBODHdModel5' => '1.3.6.1.4.1.55062.1.10.26.7.1.5',
  'jBODHdCapacity5' => '1.3.6.1.4.1.55062.1.10.26.7.1.6',
  'jBODHdSmartInfo5' => '1.3.6.1.4.1.55062.1.10.26.7.1.7',
  'jBODHdTable6' => '1.3.6.1.4.1.55062.1.10.26.8',
  'jBODHdEntry6' => '1.3.6.1.4.1.55062.1.10.26.8.1',
  'jBODHdIndex6' => '1.3.6.1.4.1.55062.1.10.26.8.1.1',
  'jBODHdDescr6' => '1.3.6.1.4.1.55062.1.10.26.8.1.2',
  'jBODHdTemperature6' => '1.3.6.1.4.1.55062.1.10.26.8.1.3',
  'jBODHdStatus6' => '1.3.6.1.4.1.55062.1.10.26.8.1.4',
  'jBODHdStatus6Definition' => 'QTS-MIB::jBODHdStatus6',
  'jBODHdModel6' => '1.3.6.1.4.1.55062.1.10.26.8.1.5',
  'jBODHdCapacity6' => '1.3.6.1.4.1.55062.1.10.26.8.1.6',
  'jBODHdSmartInfo6' => '1.3.6.1.4.1.55062.1.10.26.8.1.7',
  'jBODHdTable7' => '1.3.6.1.4.1.55062.1.10.26.9',
  'jBODHdEntry7' => '1.3.6.1.4.1.55062.1.10.26.9.1',
  'jBODHdIndex7' => '1.3.6.1.4.1.55062.1.10.26.9.1.1',
  'jBODHdDescr7' => '1.3.6.1.4.1.55062.1.10.26.9.1.2',
  'jBODHdTemperature7' => '1.3.6.1.4.1.55062.1.10.26.9.1.3',
  'jBODHdStatus7' => '1.3.6.1.4.1.55062.1.10.26.9.1.4',
  'jBODHdStatus7Definition' => 'QTS-MIB::jBODHdStatus7',
  'jBODHdModel7' => '1.3.6.1.4.1.55062.1.10.26.9.1.5',
  'jBODHdCapacity7' => '1.3.6.1.4.1.55062.1.10.26.9.1.6',
  'jBODHdSmartInfo7' => '1.3.6.1.4.1.55062.1.10.26.9.1.7',
  'jBODHdTable8' => '1.3.6.1.4.1.55062.1.10.26.10',
  'jBODHdEntry8' => '1.3.6.1.4.1.55062.1.10.26.10.1',
  'jBODHdIndex8' => '1.3.6.1.4.1.55062.1.10.26.10.1.1',
  'jBODHdDescr8' => '1.3.6.1.4.1.55062.1.10.26.10.1.2',
  'jBODHdTemperature8' => '1.3.6.1.4.1.55062.1.10.26.10.1.3',
  'jBODHdStatus8' => '1.3.6.1.4.1.55062.1.10.26.10.1.4',
  'jBODHdStatus8Definition' => 'QTS-MIB::jBODHdStatus8',
  'jBODHdModel8' => '1.3.6.1.4.1.55062.1.10.26.10.1.5',
  'jBODHdCapacity8' => '1.3.6.1.4.1.55062.1.10.26.10.1.6',
  'jBODHdSmartInfo8' => '1.3.6.1.4.1.55062.1.10.26.10.1.7',
  'fiberChannelPortsCount' => '1.3.6.1.4.1.55062.1.10.27',
  'fcPortsTable' => '1.3.6.1.4.1.55062.1.10.28',
  'fcPortsTableEntry' => '1.3.6.1.4.1.55062.1.10.28.1',
  'fcPortIndex' => '1.3.6.1.4.1.55062.1.10.28.1.1',
  'fcAdapter' => '1.3.6.1.4.1.55062.1.10.28.1.2',
  'fcAdapterManufacturer' => '1.3.6.1.4.1.55062.1.10.28.1.3',
  'fcStatus' => '1.3.6.1.4.1.55062.1.10.28.1.4',
  'fcAdapterSpeed' => '1.3.6.1.4.1.55062.1.10.28.1.5',
  'fcPortWWPN' => '1.3.6.1.4.1.55062.1.10.28.1.6',
  'fcPortAlias' => '1.3.6.1.4.1.55062.1.10.28.1.7',
  'fcPortInitiators' => '1.3.6.1.4.1.55062.1.10.28.1.8',
  'fcPortGroupCount' => '1.3.6.1.4.1.55062.1.10.29',
  'fcPortGroupTable' => '1.3.6.1.4.1.55062.1.10.30',
  'fcPortGroupTableEntry' => '1.3.6.1.4.1.55062.1.10.30.1',
  'fcPortGrouptIndex' => '1.3.6.1.4.1.55062.1.10.30.1.1',
  'fcPortGroupName' => '1.3.6.1.4.1.55062.1.10.30.1.2',
  'fcPortGroupType' => '1.3.6.1.4.1.55062.1.10.30.1.3',
  'fcPortGroupStorageCapacity' => '1.3.6.1.4.1.55062.1.10.30.1.4',
  'fcPortGroupStorageAllocation' => '1.3.6.1.4.1.55062.1.10.30.1.5',
  'fcPortGroupStatus' => '1.3.6.1.4.1.55062.1.10.30.1.6',
  'msataDiskCount' => '1.3.6.1.4.1.55062.1.10.31',
  'msataDiskTable' => '1.3.6.1.4.1.55062.1.10.32',
  'msataDiskTableEntry' => '1.3.6.1.4.1.55062.1.10.32.1',
  'msataDiskIndex' => '1.3.6.1.4.1.55062.1.10.32.1.1',
  'msataDiskID' => '1.3.6.1.4.1.55062.1.10.32.1.2',
  'msataDiskEnclosureID' => '1.3.6.1.4.1.55062.1.10.32.1.3',
  'msataDiskSummary' => '1.3.6.1.4.1.55062.1.10.32.1.4',
  'msataDiskSmartInfo' => '1.3.6.1.4.1.55062.1.10.32.1.5',
  'msataDiskSmartInfoDefinition' => 'QTS-MIB::msataDiskSmartInfo',
  'msataDiskTemperture' => '1.3.6.1.4.1.55062.1.10.32.1.6',
  'msataDiskGlobalSpare' => '1.3.6.1.4.1.55062.1.10.32.1.7',
  'msataDiskGlobalSpareDefinition' => 'QTS-MIB::msataDiskGlobalSpare',
  'msataDiskModel' => '1.3.6.1.4.1.55062.1.10.32.1.8',
  'msataDiskCapacity' => '1.3.6.1.4.1.55062.1.10.32.1.9',
  'enclosurelCount' => '1.3.6.1.4.1.55062.1.10.33',
  'enclosureTable' => '1.3.6.1.4.1.55062.1.10.34',
  'enclosureTableEntry' => '1.3.6.1.4.1.55062.1.10.34.1',
  'enclosureIndex' => '1.3.6.1.4.1.55062.1.10.34.1.1',
  'enclosureID' => '1.3.6.1.4.1.55062.1.10.34.1.2',
  'enclosureModel' => '1.3.6.1.4.1.55062.1.10.34.1.3',
  'enclosureSerialNum' => '1.3.6.1.4.1.55062.1.10.34.1.4',
  'enclosureSlot' => '1.3.6.1.4.1.55062.1.10.34.1.5',
  'enclosureName' => '1.3.6.1.4.1.55062.1.10.34.1.6',
  'enclosureSystemTemp' => '1.3.6.1.4.1.55062.1.10.34.1.7',
  'system' => '1.3.6.1.4.1.55062.1.12',
  'systemEventMsg' => '1.3.6.1.4.1.55062.1.12.1',
  'eventInformMsg' => '1.3.6.1.4.1.55062.1.12.1.101',
  'eventWarningMsg' => '1.3.6.1.4.1.55062.1.12.1.102',
  'eventErrorMsg' => '1.3.6.1.4.1.55062.1.12.1.103',
  'systemTraps' => '1.3.6.1.4.1.55062.1.12.2',
  'systemModel' => '1.3.6.1.4.1.55062.1.12.3',
  'hostname' => '1.3.6.1.4.1.55062.1.12.4',
  'serialNumber' => '1.3.6.1.4.1.55062.1.12.5',
  'firmwareVersion' => '1.3.6.1.4.1.55062.1.12.6',
  'firmwareUpgradeAvailable' => '1.3.6.1.4.1.55062.1.12.7',
  'sysFanNumber' => '1.3.6.1.4.1.55062.1.12.8',
  'systemFanTable' => '1.3.6.1.4.1.55062.1.12.9',
  'systemFanEntry' => '1.3.6.1.4.1.55062.1.12.9.1',
  'sysFanIndex' => '1.3.6.1.4.1.55062.1.12.9.1.1',
  'sysFanDescr' => '1.3.6.1.4.1.55062.1.12.9.1.2',
  'sysFanSpeed' => '1.3.6.1.4.1.55062.1.12.9.1.3',
  'cpuTemperature' => '1.3.6.1.4.1.55062.1.12.10',
  'systemTemperature' => '1.3.6.1.4.1.55062.1.12.11',
  'systemCPU-Usage' => '1.3.6.1.4.1.55062.1.12.12',
  'systemTotalMem' => '1.3.6.1.4.1.55062.1.12.13',
  'systemFreeMem' => '1.3.6.1.4.1.55062.1.12.14',
  'systemAvailableMem' => '1.3.6.1.4.1.55062.1.12.15',
  'systemUsedMemory' => '1.3.6.1.4.1.55062.1.12.16',
  'systemCacheMemory' => '1.3.6.1.4.1.55062.1.12.17',
  'systemBufferMemory' => '1.3.6.1.4.1.55062.1.12.18',
  'sysPowerStatus' => '1.3.6.1.4.1.55062.1.12.19',
  'sysPowerStatusDefinition' => 'QTS-MIB::sysPowerStatus',
  'sysUPSStatus' => '1.3.6.1.4.1.55062.1.12.20',
  'sysUptime' => '1.3.6.1.4.1.55062.1.12.21',
  'external' => '1.3.6.1.4.1.55062.1.13',
  'upsStatus' => '1.3.6.1.4.1.55062.1.13.1',
  'upsModel' => '1.3.6.1.4.1.55062.1.13.2',
  'upsDeviceManufacturer' => '1.3.6.1.4.1.55062.1.13.3',
  'upsDeviceSerial' => '1.3.6.1.4.1.55062.1.13.4',
  'upsManufacturerDate' => '1.3.6.1.4.1.55062.1.13.5',
  'upsLoadPercentage' => '1.3.6.1.4.1.55062.1.13.6',
  'upsBatteryCharge' => '1.3.6.1.4.1.55062.1.13.7',
  'upsBatteryChargeWarningLevel' => '1.3.6.1.4.1.55062.1.13.8',
  'upsBatteryType' => '1.3.6.1.4.1.55062.1.13.9',
  'usbPrinterTable' => '1.3.6.1.4.1.55062.1.13.10',
  'usbPrinterTableEntry' => '1.3.6.1.4.1.55062.1.13.10.1',
  'usbPrinterIndex' => '1.3.6.1.4.1.55062.1.13.10.1.1',
  'usbPrinterName' => '1.3.6.1.4.1.55062.1.13.10.1.2',
  'usbPrinterManufacturer' => '1.3.6.1.4.1.55062.1.13.10.1.3',
  'usbPrinterModel' => '1.3.6.1.4.1.55062.1.13.10.1.4',
  'usbPrinterStatus' => '1.3.6.1.4.1.55062.1.13.10.1.5',
  'usbPrinterStatusDefinition' => 'QTS-MIB::usbPrinterStatus',
  'usbPrinterBonjourPrinterSupportEnabled' => '1.3.6.1.4.1.55062.1.13.10.1.6',
  'usbPrinterBonjourPrinterSupportEnabledDefinition' => 'QTS-MIB::usbPrinterBonjourPrinterSupportEnabled',
  'usbPrinterSharingEnabled' => '1.3.6.1.4.1.55062.1.13.10.1.7',
  'usbPrinterSharingEnabledDefinition' => 'QTS-MIB::usbPrinterSharingEnabled',
  'services' => '1.3.6.1.4.1.55062.1.14',
  'nfsV2V3IsEnabled' => '1.3.6.1.4.1.55062.1.14.1',
  'nfsV2V3IsEnabledDefinition' => 'QTS-MIB::nfsV2V3IsEnabled',
  'nfsV4IsEnabled' => '1.3.6.1.4.1.55062.1.14.2',
  'nfsV4IsEnabledDefinition' => 'QTS-MIB::nfsV4IsEnabled',
  'httpPort' => '1.3.6.1.4.1.55062.1.14.3',
  'httpsPort' => '1.3.6.1.4.1.55062.1.14.4',
  'sshIsEnabled' => '1.3.6.1.4.1.55062.1.14.5',
  'sshIsEnabledDefinition' => 'QTS-MIB::sshIsEnabled',
  'sshSFTPEnabled' => '1.3.6.1.4.1.55062.1.14.6',
  'sshSFTPEnabledDefinition' => 'QTS-MIB::sshSFTPEnabled',
  'sshPortNumber' => '1.3.6.1.4.1.55062.1.14.7',
  'telnetIsEnabled' => '1.3.6.1.4.1.55062.1.14.8',
  'telnetIsEnabledDefinition' => 'QTS-MIB::telnetIsEnabled',
  'telnetPortNumber' => '1.3.6.1.4.1.55062.1.14.9',
  'ftpEnabled' => '1.3.6.1.4.1.55062.1.14.10',
  'ftpEnabledDefinition' => 'QTS-MIB::ftpEnabled',
  'ftpProtocolStandardEnabled' => '1.3.6.1.4.1.55062.1.14.11',
  'ftpProtocolStandardEnabledDefinition' => 'QTS-MIB::ftpProtocolStandardEnabled',
  'ftpProtocolSSL-TLSEnabled' => '1.3.6.1.4.1.55062.1.14.12',
  'ftpProtocolSSL-TLSEnabledDefinition' => 'QTS-MIB::ftpProtocolSSL-TLSEnabled',
  'ftpPortNumber' => '1.3.6.1.4.1.55062.1.14.13',
  'ftpUnicodeSupportEnabled' => '1.3.6.1.4.1.55062.1.14.14',
  'ftpUnicodeSupportEnabledDefinition' => 'QTS-MIB::ftpUnicodeSupportEnabled',
  'ftpAnnonymousaccessEnabled' => '1.3.6.1.4.1.55062.1.14.15',
  'ftpAnnonymousaccessEnabledDefinition' => 'QTS-MIB::ftpAnnonymousaccessEnabled',
  'ftpMaxConnectionsAllowed' => '1.3.6.1.4.1.55062.1.14.16',
  'ftpMaxConnectionsPerAccount' => '1.3.6.1.4.1.55062.1.14.17',
  'ftpMaxUploadRate' => '1.3.6.1.4.1.55062.1.14.18',
  'ftpMaxUploadRateDefinition' => 'QTS-MIB::ftpMaxUploadRate',
  'ftpMaxDownloadRate' => '1.3.6.1.4.1.55062.1.14.19',
  'ftpMaxDownloadRateDefinition' => 'QTS-MIB::ftpMaxDownloadRate',
  'applications' => '1.3.6.1.4.1.55062.1.15',
  'applicationsTable' => '1.3.6.1.4.1.55062.1.15.1',
  'applicationsTableEntry' => '1.3.6.1.4.1.55062.1.15.1.1',
  'appIndex' => '1.3.6.1.4.1.55062.1.15.1.1.1',
  'appName' => '1.3.6.1.4.1.55062.1.15.1.1.2',
  'appVersion' => '1.3.6.1.4.1.55062.1.15.1.1.3',
  'appInstallationDate' => '1.3.6.1.4.1.55062.1.15.1.1.4',
  'appLatestVersion' => '1.3.6.1.4.1.55062.1.15.1.1.5',
  'appDisplayPermission' => '1.3.6.1.4.1.55062.1.15.1.1.6',
  'appDisplayPermissionDefinition' => 'QTS-MIB::appDisplayPermission',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::definitions->{'QTS-QTS-MIB'} = {
  'ftpAnnonymousaccessEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'lunIsMap' => {
    '0' => 'unmapped',
    '1' => 'mapped',
  },
  'lunBackupStatus' => {
    '0' => 'none',
    '1' => 'backup',
    '2' => 'restore',
    '3' => 'snapshot',
  },
  'jBODHdStatus2' => {
    '0' => 'ready',
  },
  'msataDiskGlobalSpare' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'sysPowerStatus' => {
    '0' => 'ok',
  },
  'cacheAccelerationServiceEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'targetStatus' => {
    '0' => 'ready',
    '1' => 'connected',
  },
  'msataDiskSmartInfo' => {
    '0' => 'good',
    '1' => 'warning',
    '2' => 'abnormal',
  },
  'ftpProtocolStandardEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'usbPrinterBonjourPrinterSupportEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus3' => {
    '0' => 'ready',
  },
  'telnetIsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus1' => {
    '0' => 'ready',
  },
  'ftpUnicodeSupportEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'ftpProtocolSSL-TLSEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'storagepoolStatus' => {
    '0' => 'ready',
  },
  'nfsV4IsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'ftpEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'sshSFTPEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus7' => {
    '0' => 'ready',
  },
  'usbPrinterStatus' => {
    '0' => 'notDetected',
    '1' => 'detected',
    '2' => 'unknown',
  },
  'jBODHdStatus8' => {
    '0' => 'ready',
  },
  'nfsV2V3IsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'appDisplayPermission' => {
    '0' => 'adminOnly',
    '1' => 'adminGroup',
    '2' => 'everyUser',
  },
  'ftpMaxDownloadRate' => {
    '0' => 'unlimited',
  },
  'jBODHdStatus6' => {
    '0' => 'ready',
  },
  'jBODHdStatus5' => {
    '0' => 'ready',
  },
  'jBODHdStatus4' => {
    '0' => 'ready',
  },
  'cacheType' => {
    '0' => 'readOnly',
    '1' => 'readWrite',
    '2' => 'writeOnly',
  },
  'ftpMaxUploadRate' => {
    '0' => 'unlimited',
  },
  'usbPrinterSharingEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'iSCSIServiceEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'iSNSService' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'sshIsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::mib_ids->{'QTS-HERO-MIB'} =
  '1.3.6.1.4.1.55062.2';

$Monitoring::GLPlugin::SNMP::MibsAndOids::mibs_and_oids->{'QTS-HERO-MIB'} = {
  'qnap' => '1.3.6.1.4.1.55062',
  'qutshero' => '1.3.6.1.4.1.55062.2',
  'storage' => '1.3.6.1.4.1.55062.2.10',
  'diskCount' => '1.3.6.1.4.1.55062.2.10.1',
  'diskTable' => '1.3.6.1.4.1.55062.2.10.2',
  'diskTableEntry' => '1.3.6.1.4.1.55062.2.10.2.1',
  'diskIndex' => '1.3.6.1.4.1.55062.2.10.2.1.1',
  'diskID' => '1.3.6.1.4.1.55062.2.10.2.1.2',
  'diskManufacturer' => '1.3.6.1.4.1.55062.2.10.2.1.3',
  'diskModel' => '1.3.6.1.4.1.55062.2.10.2.1.4',
  'diskSerialNumber' => '1.3.6.1.4.1.55062.2.10.2.1.5',
  'diskType' => '1.3.6.1.4.1.55062.2.10.2.1.6',
  'diskStatus' => '1.3.6.1.4.1.55062.2.10.2.1.7',
  'diskTemperature' => '1.3.6.1.4.1.55062.2.10.2.1.8',
  'diskCapacity' => '1.3.6.1.4.1.55062.2.10.2.1.9',
  'diskSMARTInfoTable' => '1.3.6.1.4.1.55062.2.10.3',
  'diskSMARTInfoTableEntry' => '1.3.6.1.4.1.55062.2.10.3.1',
  'diskSMARTInfoIndex' => '1.3.6.1.4.1.55062.2.10.3.1.1',
  'diskSMARTInfoDeviceName' => '1.3.6.1.4.1.55062.2.10.3.1.2',
  'diskSMARTInfoAttributeName' => '1.3.6.1.4.1.55062.2.10.3.1.3',
  'diskSMARTInfoAttributeID' => '1.3.6.1.4.1.55062.2.10.3.1.4',
  'diskSMARTInfoAttributeCurrent' => '1.3.6.1.4.1.55062.2.10.3.1.5',
  'diskSMARTInfoAttributeWorst' => '1.3.6.1.4.1.55062.2.10.3.1.6',
  'diskSMARTInfoAttributeThreshold' => '1.3.6.1.4.1.55062.2.10.3.1.7',
  'diskSMARTInfoAttributeRAW' => '1.3.6.1.4.1.55062.2.10.3.1.8',
  'diskSMARTInfoAttributeStatus' => '1.3.6.1.4.1.55062.2.10.3.1.9',
  'raidCount' => '1.3.6.1.4.1.55062.2.10.4',
  'raidTable' => '1.3.6.1.4.1.55062.2.10.5',
  'raidTableEntry' => '1.3.6.1.4.1.55062.2.10.5.1',
  'raidIndex' => '1.3.6.1.4.1.55062.2.10.5.1.1',
  'raidID' => '1.3.6.1.4.1.55062.2.10.5.1.2',
  'raidName' => '1.3.6.1.4.1.55062.2.10.5.1.3',
  'raidStatus' => '1.3.6.1.4.1.55062.2.10.5.1.4',
  'raidCapacity' => '1.3.6.1.4.1.55062.2.10.5.1.5',
  'raidBitmap' => '1.3.6.1.4.1.55062.2.10.5.1.6',
  'raidLevel' => '1.3.6.1.4.1.55062.2.10.5.1.7',
  'storagepoolCount' => '1.3.6.1.4.1.55062.2.10.6',
  'storagepoolTable' => '1.3.6.1.4.1.55062.2.10.7',
  'storagepoolTableEntry' => '1.3.6.1.4.1.55062.2.10.7.1',
  'storagepoolIndex' => '1.3.6.1.4.1.55062.2.10.7.1.1',
  'storagepoolID' => '1.3.6.1.4.1.55062.2.10.7.1.2',
  'storagepoolCapacity' => '1.3.6.1.4.1.55062.2.10.7.1.3',
  'storagepoolFreeSize' => '1.3.6.1.4.1.55062.2.10.7.1.4',
  'storagepoolStatus' => '1.3.6.1.4.1.55062.2.10.7.1.5',
  'storagepoolStatusDefinition' => 'QTS-MIB::storagepoolStatus',
  'sharedFolderCount' => '1.3.6.1.4.1.55062.2.10.8',
  'sharedFolderTable' => '1.3.6.1.4.1.55062.2.10.9',
  'sharedFolderTableEntry' => '1.3.6.1.4.1.55062.2.10.9.1',
  'sharedFolderIndex' => '1.3.6.1.4.1.55062.2.10.9.1.1',
  'sharedFolderName' => '1.3.6.1.4.1.55062.2.10.9.1.2',
  'sharedFolderCapacity' => '1.3.6.1.4.1.55062.2.10.9.1.3',
  'sharedFolderFreeSize' => '1.3.6.1.4.1.55062.2.10.9.1.4',
  'sharedFolderStatus' => '1.3.6.1.4.1.55062.2.10.9.1.5',
  'sharedFolderBlockSize' => '1.3.6.1.4.1.55062.2.10.9.1.6',
  'sharedFolderWORMStatus' => '1.3.6.1.4.1.55062.2.10.9.1.7',
  'sharedFolderWORMStatusDefinition' => 'QTS-MIB::sharedFolderWORMStatus',
  'sharedFolderCompressionEnabled' => '1.3.6.1.4.1.55062.2.10.9.1.8',
  'sharedFolderCompressionEnabledDefinition' => 'QTS-MIB::sharedFolderCompressionEnabled',
  'sharedFolderDeduplicationEnabled' => '1.3.6.1.4.1.55062.2.10.9.1.9',
  'sharedFolderDeduplicationEnabledDefinition' => 'QTS-MIB::sharedFolderDeduplicationEnabled',
  'sharedFolderSpaceAllocation' => '1.3.6.1.4.1.55062.2.10.9.1.10',
  'sharedFolderEncryptionEnabled' => '1.3.6.1.4.1.55062.2.10.9.1.11',
  'sharedFolderEncryptionEnabledDefinition' => 'QTS-MIB::sharedFolderEncryptionEnabled',
  'sharedFolderssdCacheEnabled' => '1.3.6.1.4.1.55062.2.10.9.1.12',
  'sharedFolderssdCacheEnabledDefinition' => 'QTS-MIB::sharedFolderssdCacheEnabled',
  'sharedFolderSyncIOType' => '1.3.6.1.4.1.55062.2.10.9.1.13',
  'sharedFolderSyncIOTypeDefinition' => 'QTS-MIB::sharedFolderSyncIOType',
  'cacheAccelerationServiceEnabled' => '1.3.6.1.4.1.55062.2.10.10',
  'cacheAccelerationServiceEnabledDefinition' => 'QTS-MIB::cacheAccelerationServiceEnabled',
  'cacheAvailablePercent' => '1.3.6.1.4.1.55062.2.10.11',
  'cacheReadHitRate' => '1.3.6.1.4.1.55062.2.10.12',
  'cacheWriteHitRate' => '1.3.6.1.4.1.55062.2.10.13',
  'cacheStatus' => '1.3.6.1.4.1.55062.2.10.14',
  'cacheType' => '1.3.6.1.4.1.55062.2.10.15',
  'cacheTypeDefinition' => 'QTS-MIB::cacheType',
  'cacheRAIDType' => '1.3.6.1.4.1.55062.2.10.16',
  'cacheMode' => '1.3.6.1.4.1.55062.2.10.17',
  'iSCSIServiceEnabled' => '1.3.6.1.4.1.55062.2.10.18',
  'iSCSIServiceEnabledDefinition' => 'QTS-MIB::iSCSIServiceEnabled',
  'lunCount' => '1.3.6.1.4.1.55062.2.10.19',
  'lunTable' => '1.3.6.1.4.1.55062.2.10.20',
  'lunTableEntry' => '1.3.6.1.4.1.55062.2.10.20.1',
  'lunIndex' => '1.3.6.1.4.1.55062.2.10.20.1.1',
  'lunID' => '1.3.6.1.4.1.55062.2.10.20.1.2',
  'lunCapacity' => '1.3.6.1.4.1.55062.2.10.20.1.3',
  'lunUsedPercent' => '1.3.6.1.4.1.55062.2.10.20.1.4',
  'lunStatus' => '1.3.6.1.4.1.55062.2.10.20.1.5',
  'lunName' => '1.3.6.1.4.1.55062.2.10.20.1.6',
  'lunBackupStatus' => '1.3.6.1.4.1.55062.2.10.20.1.7',
  'lunBackupStatusDefinition' => 'QTS-MIB::lunBackupStatus',
  'lunIsMap' => '1.3.6.1.4.1.55062.2.10.20.1.8',
  'lunIsMapDefinition' => 'QTS-MIB::lunIsMap',
  'targetCount' => '1.3.6.1.4.1.55062.2.10.21',
  'targeTable' => '1.3.6.1.4.1.55062.2.10.22',
  'targeTableEntry' => '1.3.6.1.4.1.55062.2.10.22.1',
  'targetIndex' => '1.3.6.1.4.1.55062.2.10.22.1.1',
  'targetID' => '1.3.6.1.4.1.55062.2.10.22.1.2',
  'targetName' => '1.3.6.1.4.1.55062.2.10.22.1.3',
  'targetIQN' => '1.3.6.1.4.1.55062.2.10.22.1.4',
  'targetServerIP' => '1.3.6.1.4.1.55062.2.10.22.1.5',
  'targetStatus' => '1.3.6.1.4.1.55062.2.10.22.1.6',
  'targetStatusDefinition' => 'QTS-MIB::targetStatus',
  'iSCSIServicePort' => '1.3.6.1.4.1.55062.2.10.23',
  'iSNSService' => '1.3.6.1.4.1.55062.2.10.24',
  'iSNSServiceDefinition' => 'QTS-MIB::iSNSService',
  'iSNSIP' => '1.3.6.1.4.1.55062.2.10.25',
  'jBODInfo' => '1.3.6.1.4.1.55062.2.10.26',
  'jBODBitmap' => '1.3.6.1.4.1.55062.2.10.26.1',
  'jBODInfos' => '1.3.6.1.4.1.55062.2.10.26.2',
  'jBODInfosEntry' => '1.3.6.1.4.1.55062.2.10.26.2.1',
  'jBODid' => '1.3.6.1.4.1.55062.2.10.26.2.1.1',
  'jBODHdNumber' => '1.3.6.1.4.1.55062.2.10.26.2.1.2',
  'jBODHdTable1' => '1.3.6.1.4.1.55062.2.10.26.3',
  'jBODHdEntry1' => '1.3.6.1.4.1.55062.2.10.26.3.1',
  'jBODHdIndex1' => '1.3.6.1.4.1.55062.2.10.26.3.1.1',
  'jBODHdDescr1' => '1.3.6.1.4.1.55062.2.10.26.3.1.2',
  'jBODHdTemperature1' => '1.3.6.1.4.1.55062.2.10.26.3.1.3',
  'jBODHdStatus1' => '1.3.6.1.4.1.55062.2.10.26.3.1.4',
  'jBODHdStatus1Definition' => 'QTS-MIB::jBODHdStatus1',
  'jBODHdModel1' => '1.3.6.1.4.1.55062.2.10.26.3.1.5',
  'jBODHdCapacity1' => '1.3.6.1.4.1.55062.2.10.26.3.1.6',
  'jBODHdSmartInfo1' => '1.3.6.1.4.1.55062.2.10.26.3.1.7',
  'jBODHdTable2' => '1.3.6.1.4.1.55062.2.10.26.4',
  'jBODHdEntry2' => '1.3.6.1.4.1.55062.2.10.26.4.1',
  'jBODHdIndex2' => '1.3.6.1.4.1.55062.2.10.26.4.1.1',
  'jBODHdDescr2' => '1.3.6.1.4.1.55062.2.10.26.4.1.2',
  'jBODHdTemperature2' => '1.3.6.1.4.1.55062.2.10.26.4.1.3',
  'jBODHdStatus2' => '1.3.6.1.4.1.55062.2.10.26.4.1.4',
  'jBODHdStatus2Definition' => 'QTS-MIB::jBODHdStatus2',
  'jBODHdModel2' => '1.3.6.1.4.1.55062.2.10.26.4.1.5',
  'jBODHdCapacity2' => '1.3.6.1.4.1.55062.2.10.26.4.1.6',
  'jBODHdSmartInfo2' => '1.3.6.1.4.1.55062.2.10.26.4.1.7',
  'jBODHdTable3' => '1.3.6.1.4.1.55062.2.10.26.5',
  'jBODHdEntry3' => '1.3.6.1.4.1.55062.2.10.26.5.1',
  'jBODHdIndex3' => '1.3.6.1.4.1.55062.2.10.26.5.1.1',
  'jBODHdDescr3' => '1.3.6.1.4.1.55062.2.10.26.5.1.2',
  'jBODHdTemperature3' => '1.3.6.1.4.1.55062.2.10.26.5.1.3',
  'jBODHdStatus3' => '1.3.6.1.4.1.55062.2.10.26.5.1.4',
  'jBODHdStatus3Definition' => 'QTS-MIB::jBODHdStatus3',
  'jBODHdModel3' => '1.3.6.1.4.1.55062.2.10.26.5.1.5',
  'jBODHdCapacity3' => '1.3.6.1.4.1.55062.2.10.26.5.1.6',
  'jBODHdSmartInfo3' => '1.3.6.1.4.1.55062.2.10.26.5.1.7',
  'jBODHdTable4' => '1.3.6.1.4.1.55062.2.10.26.6',
  'jBODHdEntry4' => '1.3.6.1.4.1.55062.2.10.26.6.1',
  'jBODHdIndex4' => '1.3.6.1.4.1.55062.2.10.26.6.1.1',
  'jBODHdDescr4' => '1.3.6.1.4.1.55062.2.10.26.6.1.2',
  'jBODHdTemperature4' => '1.3.6.1.4.1.55062.2.10.26.6.1.3',
  'jBODHdStatus4' => '1.3.6.1.4.1.55062.2.10.26.6.1.4',
  'jBODHdStatus4Definition' => 'QTS-MIB::jBODHdStatus4',
  'jBODHdModel4' => '1.3.6.1.4.1.55062.2.10.26.6.1.5',
  'jBODHdCapacity4' => '1.3.6.1.4.1.55062.2.10.26.6.1.6',
  'jBODHdSmartInfo4' => '1.3.6.1.4.1.55062.2.10.26.6.1.7',
  'jBODHdTable5' => '1.3.6.1.4.1.55062.2.10.26.7',
  'jBODHdEntry5' => '1.3.6.1.4.1.55062.2.10.26.7.1',
  'jBODHdIndex5' => '1.3.6.1.4.1.55062.2.10.26.7.1.1',
  'jBODHdDescr5' => '1.3.6.1.4.1.55062.2.10.26.7.1.2',
  'jBODHdTemperature5' => '1.3.6.1.4.1.55062.2.10.26.7.1.3',
  'jBODHdStatus5' => '1.3.6.1.4.1.55062.2.10.26.7.1.4',
  'jBODHdStatus5Definition' => 'QTS-MIB::jBODHdStatus5',
  'jBODHdModel5' => '1.3.6.1.4.1.55062.2.10.26.7.1.5',
  'jBODHdCapacity5' => '1.3.6.1.4.1.55062.2.10.26.7.1.6',
  'jBODHdSmartInfo5' => '1.3.6.1.4.1.55062.2.10.26.7.1.7',
  'jBODHdTable6' => '1.3.6.1.4.1.55062.2.10.26.8',
  'jBODHdEntry6' => '1.3.6.1.4.1.55062.2.10.26.8.1',
  'jBODHdIndex6' => '1.3.6.1.4.1.55062.2.10.26.8.1.1',
  'jBODHdDescr6' => '1.3.6.1.4.1.55062.2.10.26.8.1.2',
  'jBODHdTemperature6' => '1.3.6.1.4.1.55062.2.10.26.8.1.3',
  'jBODHdStatus6' => '1.3.6.1.4.1.55062.2.10.26.8.1.4',
  'jBODHdStatus6Definition' => 'QTS-MIB::jBODHdStatus6',
  'jBODHdModel6' => '1.3.6.1.4.1.55062.2.10.26.8.1.5',
  'jBODHdCapacity6' => '1.3.6.1.4.1.55062.2.10.26.8.1.6',
  'jBODHdSmartInfo6' => '1.3.6.1.4.1.55062.2.10.26.8.1.7',
  'jBODHdTable7' => '1.3.6.1.4.1.55062.2.10.26.9',
  'jBODHdEntry7' => '1.3.6.1.4.1.55062.2.10.26.9.1',
  'jBODHdIndex7' => '1.3.6.1.4.1.55062.2.10.26.9.1.1',
  'jBODHdDescr7' => '1.3.6.1.4.1.55062.2.10.26.9.1.2',
  'jBODHdTemperature7' => '1.3.6.1.4.1.55062.2.10.26.9.1.3',
  'jBODHdStatus7' => '1.3.6.1.4.1.55062.2.10.26.9.1.4',
  'jBODHdStatus7Definition' => 'QTS-MIB::jBODHdStatus7',
  'jBODHdModel7' => '1.3.6.1.4.1.55062.2.10.26.9.1.5',
  'jBODHdCapacity7' => '1.3.6.1.4.1.55062.2.10.26.9.1.6',
  'jBODHdSmartInfo7' => '1.3.6.1.4.1.55062.2.10.26.9.1.7',
  'jBODHdTable8' => '1.3.6.1.4.1.55062.2.10.26.10',
  'jBODHdEntry8' => '1.3.6.1.4.1.55062.2.10.26.10.1',
  'jBODHdIndex8' => '1.3.6.1.4.1.55062.2.10.26.10.1.1',
  'jBODHdDescr8' => '1.3.6.1.4.1.55062.2.10.26.10.1.2',
  'jBODHdTemperature8' => '1.3.6.1.4.1.55062.2.10.26.10.1.3',
  'jBODHdStatus8' => '1.3.6.1.4.1.55062.2.10.26.10.1.4',
  'jBODHdStatus8Definition' => 'QTS-MIB::jBODHdStatus8',
  'jBODHdModel8' => '1.3.6.1.4.1.55062.2.10.26.10.1.5',
  'jBODHdCapacity8' => '1.3.6.1.4.1.55062.2.10.26.10.1.6',
  'jBODHdSmartInfo8' => '1.3.6.1.4.1.55062.2.10.26.10.1.7',
  'fiberChannelPortsCount' => '1.3.6.1.4.1.55062.2.10.27',
  'fcPortsTable' => '1.3.6.1.4.1.55062.2.10.28',
  'fcPortsTableEntry' => '1.3.6.1.4.1.55062.2.10.28.1',
  'fcPortIndex' => '1.3.6.1.4.1.55062.2.10.28.1.1',
  'fcAdapter' => '1.3.6.1.4.1.55062.2.10.28.1.2',
  'fcAdapterManufacturer' => '1.3.6.1.4.1.55062.2.10.28.1.3',
  'fcStatus' => '1.3.6.1.4.1.55062.2.10.28.1.4',
  'fcAdapterSpeed' => '1.3.6.1.4.1.55062.2.10.28.1.5',
  'fcPortWWPN' => '1.3.6.1.4.1.55062.2.10.28.1.6',
  'fcPortAlias' => '1.3.6.1.4.1.55062.2.10.28.1.7',
  'fcPortInitiators' => '1.3.6.1.4.1.55062.2.10.28.1.8',
  'fcPortGroupCount' => '1.3.6.1.4.1.55062.2.10.29',
  'fcPortGroupTable' => '1.3.6.1.4.1.55062.2.10.30',
  'fcPortGroupTableEntry' => '1.3.6.1.4.1.55062.2.10.30.1',
  'fcPortGrouptIndex' => '1.3.6.1.4.1.55062.2.10.30.1.1',
  'fcPortGroupName' => '1.3.6.1.4.1.55062.2.10.30.1.2',
  'fcPortGroupType' => '1.3.6.1.4.1.55062.2.10.30.1.3',
  'fcPortGroupStorageCapacity' => '1.3.6.1.4.1.55062.2.10.30.1.4',
  'fcPortGroupStorageAllocation' => '1.3.6.1.4.1.55062.2.10.30.1.5',
  'fcPortGroupStatus' => '1.3.6.1.4.1.55062.2.10.30.1.6',
  'msataDiskCount' => '1.3.6.1.4.1.55062.2.10.31',
  'msataDiskTable' => '1.3.6.1.4.1.55062.2.10.32',
  'msataDiskTableEntry' => '1.3.6.1.4.1.55062.2.10.32.1',
  'msataDiskIndex' => '1.3.6.1.4.1.55062.2.10.32.1.1',
  'msataDiskID' => '1.3.6.1.4.1.55062.2.10.32.1.2',
  'msataDiskEnclosureID' => '1.3.6.1.4.1.55062.2.10.32.1.3',
  'msataDiskSummary' => '1.3.6.1.4.1.55062.2.10.32.1.4',
  'msataDiskSmartInfo' => '1.3.6.1.4.1.55062.2.10.32.1.5',
  'msataDiskSmartInfoDefinition' => 'QTS-MIB::msataDiskSmartInfo',
  'msataDiskTemperture' => '1.3.6.1.4.1.55062.2.10.32.1.6',
  'msataDiskGlobalSpare' => '1.3.6.1.4.1.55062.2.10.32.1.7',
  'msataDiskGlobalSpareDefinition' => 'QTS-MIB::msataDiskGlobalSpare',
  'msataDiskModel' => '1.3.6.1.4.1.55062.2.10.32.1.8',
  'msataDiskCapacity' => '1.3.6.1.4.1.55062.2.10.32.1.9',
  'enclosurelCount' => '1.3.6.1.4.1.55062.2.10.33',
  'enclosureTable' => '1.3.6.1.4.1.55062.2.10.34',
  'enclosureTableEntry' => '1.3.6.1.4.1.55062.2.10.34.1',
  'enclosureIndex' => '1.3.6.1.4.1.55062.2.10.34.1.1',
  'enclosureID' => '1.3.6.1.4.1.55062.2.10.34.1.2',
  'enclosureModel' => '1.3.6.1.4.1.55062.2.10.34.1.3',
  'enclosureSerialNum' => '1.3.6.1.4.1.55062.2.10.34.1.4',
  'enclosureSlot' => '1.3.6.1.4.1.55062.2.10.34.1.5',
  'enclosureName' => '1.3.6.1.4.1.55062.2.10.34.1.6',
  'enclosureSystemTemp' => '1.3.6.1.4.1.55062.2.10.34.1.7',
  'system' => '1.3.6.1.4.1.55062.2.12',
  'systemEventMsg' => '1.3.6.1.4.1.55062.2.12.1',
  'eventInformMsg' => '1.3.6.1.4.1.55062.2.12.1.101',
  'eventWarningMsg' => '1.3.6.1.4.1.55062.2.12.1.102',
  'eventErrorMsg' => '1.3.6.1.4.1.55062.2.12.1.103',
  'systemTraps' => '1.3.6.1.4.1.55062.2.12.2',
  'systemModel' => '1.3.6.1.4.1.55062.2.12.3',
  'hostname' => '1.3.6.1.4.1.55062.2.12.4',
  'serialNumber' => '1.3.6.1.4.1.55062.2.12.5',
  'firmwareVersion' => '1.3.6.1.4.1.55062.2.12.6',
  'firmwareUpgradeAvailable' => '1.3.6.1.4.1.55062.2.12.7',
  'sysFanNumber' => '1.3.6.1.4.1.55062.2.12.8',
  'systemFanTable' => '1.3.6.1.4.1.55062.2.12.9',
  'systemFanEntry' => '1.3.6.1.4.1.55062.2.12.9.1',
  'sysFanIndex' => '1.3.6.1.4.1.55062.2.12.9.1.1',
  'sysFanDescr' => '1.3.6.1.4.1.55062.2.12.9.1.2',
  'sysFanSpeed' => '1.3.6.1.4.1.55062.2.12.9.1.3',
  'cpuTemperature' => '1.3.6.1.4.1.55062.2.12.10',
  'systemTemperature' => '1.3.6.1.4.1.55062.2.12.11',
  'systemCPU-Usage' => '1.3.6.1.4.1.55062.2.12.12',
  'systemTotalMem' => '1.3.6.1.4.1.55062.2.12.13',
  'systemFreeMem' => '1.3.6.1.4.1.55062.2.12.14',
  'systemAvailableMem' => '1.3.6.1.4.1.55062.2.12.15',
  'systemUsedMemory' => '1.3.6.1.4.1.55062.2.12.16',
  'systemCacheMemory' => '1.3.6.1.4.1.55062.2.12.17',
  'systemBufferMemory' => '1.3.6.1.4.1.55062.2.12.18',
  'sysPowerStatus' => '1.3.6.1.4.1.55062.2.12.19',
  'sysPowerStatusDefinition' => 'QTS-MIB::sysPowerStatus',
  'sysUPSStatus' => '1.3.6.1.4.1.55062.2.12.20',
  'sysUptime' => '1.3.6.1.4.1.55062.2.12.21',
  'external' => '1.3.6.1.4.1.55062.2.13',
  'upsStatus' => '1.3.6.1.4.1.55062.2.13.1',
  'upsModel' => '1.3.6.1.4.1.55062.2.13.2',
  'upsDeviceManufacturer' => '1.3.6.1.4.1.55062.2.13.3',
  'upsDeviceSerial' => '1.3.6.1.4.1.55062.2.13.4',
  'upsManufacturerDate' => '1.3.6.1.4.1.55062.2.13.5',
  'upsLoadPercentage' => '1.3.6.1.4.1.55062.2.13.6',
  'upsBatteryCharge' => '1.3.6.1.4.1.55062.2.13.7',
  'upsBatteryChargeWarningLevel' => '1.3.6.1.4.1.55062.2.13.8',
  'upsBatteryType' => '1.3.6.1.4.1.55062.2.13.9',
  'usbPrinterTable' => '1.3.6.1.4.1.55062.2.13.10',
  'usbPrinterTableEntry' => '1.3.6.1.4.1.55062.2.13.10.1',
  'usbPrinterIndex' => '1.3.6.1.4.1.55062.2.13.10.1.1',
  'usbPrinterName' => '1.3.6.1.4.1.55062.2.13.10.1.2',
  'usbPrinterManufacturer' => '1.3.6.1.4.1.55062.2.13.10.1.3',
  'usbPrinterModel' => '1.3.6.1.4.1.55062.2.13.10.1.4',
  'usbPrinterStatus' => '1.3.6.1.4.1.55062.2.13.10.1.5',
  'usbPrinterStatusDefinition' => 'QTS-MIB::usbPrinterStatus',
  'usbPrinterBonjourPrinterSupportEnabled' => '1.3.6.1.4.1.55062.2.13.10.1.6',
  'usbPrinterBonjourPrinterSupportEnabledDefinition' => 'QTS-MIB::usbPrinterBonjourPrinterSupportEnabled',
  'usbPrinterSharingEnabled' => '1.3.6.1.4.1.55062.2.13.10.1.7',
  'usbPrinterSharingEnabledDefinition' => 'QTS-MIB::usbPrinterSharingEnabled',
  'services' => '1.3.6.1.4.1.55062.2.14',
  'nfsV2V3IsEnabled' => '1.3.6.1.4.1.55062.2.14.1',
  'nfsV2V3IsEnabledDefinition' => 'QTS-MIB::nfsV2V3IsEnabled',
  'nfsV4IsEnabled' => '1.3.6.1.4.1.55062.2.14.2',
  'nfsV4IsEnabledDefinition' => 'QTS-MIB::nfsV4IsEnabled',
  'httpPort' => '1.3.6.1.4.1.55062.2.14.3',
  'httpsPort' => '1.3.6.1.4.1.55062.2.14.4',
  'sshIsEnabled' => '1.3.6.1.4.1.55062.2.14.5',
  'sshIsEnabledDefinition' => 'QTS-MIB::sshIsEnabled',
  'sshSFTPEnabled' => '1.3.6.1.4.1.55062.2.14.6',
  'sshSFTPEnabledDefinition' => 'QTS-MIB::sshSFTPEnabled',
  'sshPortNumber' => '1.3.6.1.4.1.55062.2.14.7',
  'telnetIsEnabled' => '1.3.6.1.4.1.55062.2.14.8',
  'telnetIsEnabledDefinition' => 'QTS-MIB::telnetIsEnabled',
  'telnetPortNumber' => '1.3.6.1.4.1.55062.2.14.9',
  'ftpEnabled' => '1.3.6.1.4.1.55062.2.14.10',
  'ftpEnabledDefinition' => 'QTS-MIB::ftpEnabled',
  'ftpProtocolStandardEnabled' => '1.3.6.1.4.1.55062.2.14.11',
  'ftpProtocolStandardEnabledDefinition' => 'QTS-MIB::ftpProtocolStandardEnabled',
  'ftpProtocolSSL-TLSEnabled' => '1.3.6.1.4.1.55062.2.14.12',
  'ftpProtocolSSL-TLSEnabledDefinition' => 'QTS-MIB::ftpProtocolSSL-TLSEnabled',
  'ftpPortNumber' => '1.3.6.1.4.1.55062.2.14.13',
  'ftpUnicodeSupportEnabled' => '1.3.6.1.4.1.55062.2.14.14',
  'ftpUnicodeSupportEnabledDefinition' => 'QTS-MIB::ftpUnicodeSupportEnabled',
  'ftpAnnonymousaccessEnabled' => '1.3.6.1.4.1.55062.2.14.15',
  'ftpAnnonymousaccessEnabledDefinition' => 'QTS-MIB::ftpAnnonymousaccessEnabled',
  'ftpMaxConnectionsAllowed' => '1.3.6.1.4.1.55062.2.14.16',
  'ftpMaxConnectionsPerAccount' => '1.3.6.1.4.1.55062.2.14.17',
  'ftpMaxUploadRate' => '1.3.6.1.4.1.55062.2.14.18',
  'ftpMaxUploadRateDefinition' => 'QTS-MIB::ftpMaxUploadRate',
  'ftpMaxDownloadRate' => '1.3.6.1.4.1.55062.2.14.19',
  'ftpMaxDownloadRateDefinition' => 'QTS-MIB::ftpMaxDownloadRate',
  'applications' => '1.3.6.1.4.1.55062.2.15',
  'applicationsTable' => '1.3.6.1.4.1.55062.2.15.1',
  'applicationsTableEntry' => '1.3.6.1.4.1.55062.2.15.1.1',
  'appIndex' => '1.3.6.1.4.1.55062.2.15.1.1.1',
  'appName' => '1.3.6.1.4.1.55062.2.15.1.1.2',
  'appVersion' => '1.3.6.1.4.1.55062.2.15.1.1.3',
  'appInstallationDate' => '1.3.6.1.4.1.55062.2.15.1.1.4',
  'appLatestVersion' => '1.3.6.1.4.1.55062.2.15.1.1.5',
  'appDisplayPermission' => '1.3.6.1.4.1.55062.2.15.1.1.6',
  'appDisplayPermissionDefinition' => 'QTS-MIB::appDisplayPermission',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::definitions->{'QTS-HERO-MIB'} = {
  'lunBackupStatus' => {
    '0' => 'none',
    '1' => 'backup',
    '2' => 'restore',
    '3' => 'snapshot',
  },
  'iSNSService' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'ftpProtocolSSL-TLSEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'targetStatus' => {
    '0' => 'ready',
    '1' => 'connected',
  },
  'sharedFolderDeduplicationEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus3' => {
    '0' => 'ready',
  },
  'jBODHdStatus4' => {
    '0' => 'ready',
  },
  'ftpProtocolStandardEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'ftpEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'lunIsMap' => {
    '0' => 'unmapped',
    '1' => 'mapped',
  },
  'sshIsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'storagepoolStatus' => {
    '0' => 'ready',
  },
  'cacheAccelerationServiceEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus5' => {
    '0' => 'ready',
  },
  'usbPrinterSharingEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus6' => {
    '0' => 'ready',
  },
  'appDisplayPermission' => {
    '0' => 'adminOnly',
    '1' => 'adminGroup',
    '2' => 'everyUser',
  },
  'sharedFolderSyncIOType' => {
    '0' => 'standard',
    '1' => 'always',
    '2' => 'none',
  },
  'sharedFolderEncryptionEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'sharedFolderWORMStatus' => {
    '0' => 'no',
    '1' => 'enterprise',
    '2' => 'compliance',
  },
  'ftpUnicodeSupportEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus7' => {
    '0' => 'ready',
  },
  'ftpMaxDownloadRate' => {
    '0' => 'unlimited',
  },
  'msataDiskGlobalSpare' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'nfsV2V3IsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'msataDiskSmartInfo' => {
    '0' => 'good',
    '1' => 'warning',
    '2' => 'abnormal',
  },
  'ftpAnnonymousaccessEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'cacheType' => {
    '0' => 'readOnly',
    '1' => 'readWrite',
    '2' => 'writeOnly',
  },
  'ftpMaxUploadRate' => {
    '0' => 'unlimited',
  },
  'usbPrinterStatus' => {
    '0' => 'notDetected',
    '1' => 'detected',
    '2' => 'unknown',
  },
  'jBODHdStatus1' => {
    '0' => 'ready',
  },
  'telnetIsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus2' => {
    '0' => 'ready',
  },
  'sharedFolderCompressionEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'sysPowerStatus' => {
    '0' => 'ok',
  },
  'iSCSIServiceEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'nfsV4IsEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'jBODHdStatus8' => {
    '0' => 'ready',
  },
  'sshSFTPEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'sharedFolderssdCacheEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
  'usbPrinterBonjourPrinterSupportEnabled' => {
    '0' => 'no',
    '1' => 'yes',
  },
};
